## gnupg2 2.1.11-7

=== debian/changelog ===
gnupg2 (2.1.11-7-3) unstable; urgency=medium

  * build for dilos

 -- Igor Kozhukhov <ikozhukhov@gmail.com>  Mon, 29 Aug 2016 17:37:49 +0300
