=== debian/watch ===
version=4

opts="pasv,pgpsigurlmangle=s/$/.sig/" \
  ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg@ANY_VERSION@@ARCHIVE_EXT@
