## gnupg2 2.1.15

=== debian/changelog ===
gnupg2 (2.1.15-1ubuntu8) artful; urgency=medium

  * debian/patches/0005-set-gnupghome-for-tests.patch:
    - set GNUPGHOME to a directory under the build directory as the
      default value relies on $HOME which shouldn't be used during
      the package build. LP: #1722939.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 11 Oct 2017 20:20:46 +0000

gnupg2 (2.1.15-1ubuntu7) zesty; urgency=medium

  * gpg-agent.conf: use XDG_RUNTIME_DIR for ssh-agent socket, in the
    upstart user session job too. LP: #1675925.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Mar 2017 16:15:15 +0100

gnupg2 (2.1.15-1ubuntu6) yakkety; urgency=medium

  * gpg-agent.service: use XDG_RUNTIME_DIR for ssh-agent socket, instead
    of GNUPGHOME. LP: #1631320.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Oct 2016 11:20:28 +0100

gnupg2 (2.1.15-1ubuntu5) yakkety; urgency=medium

  * gpg-agent.service: Properly escape "\$10" to avoid warning. (LP: #1615726)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Oct 2016 23:10:50 +0200

gnupg2 (2.1.15-1ubuntu4) yakkety; urgency=medium

  * Honor http_proxy= environment variables by default, in the newly
    generated dirmngr.conf files. Existing users behing proxies should set
    honor-http-proxy in $GNUPGHOME/dirmngr.conf, see
    /usr/share/gnupg/dirmngr-conf.skel. LP: #1625848

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Sep 2016 02:23:54 +0100

gnupg2 (2.1.15-1ubuntu3) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:02:46 +0000

gnupg2 (2.1.15-1ubuntu2) yakkety; urgency=medium

  * Add breaks for software-properties-common at 0.96.24.3 or lower.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Sep 2016 11:34:12 +0100

gnupg2 (2.1.15-1ubuntu1) yakkety; urgency=medium

  * gnupg is now 2.1. LP: #1615039
  * Merge from Debian unstable, remaining changes:
    - debian/systemd-user/gpg-agent.service:
      - Set the environment variables in ExecStartPre - Post has a race
        condition as other SSH agent providers can start up after ExecStart
        finishes. The ExecStopPost commands are run in the case of failure, to
        unset them.
      - Be Before= gnome-keyring-ssh and ssh-agent - if someone has explicitly
        asked for gpg-agent to be their SSH agent then we want to win.
      - Set $SSH_AGENT_LAUNCHER so that we can avoid executing gpgconf in the
        ExecStopPost.
      - Ignore initctl failures - eventually this will go away.
    - debian/upstart-user/:
      - Add upstart user session jobs
      - Add upstart override for the upstart user session jobs, when user
        systemd is present
    - debian/Xsession.d/90gpg-agent:
      - Don't run if we have a systemd user instance. We want to phase out
        the Xsession.d scripts, and use the systemd/upstart scripts so that
        things also work under Mir.
    - debian/gnupg2.udev:
      - Add udev rules to give gpg access to some smartcard readers;
        Debian #543217.
      - udev rules to set ACLs on SCM smartcard readers.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 31 Aug 2016 13:35:55 +0100

gnupg2 (2.1.15-1) unstable; urgency=medium

  * new upstream release
   - blocks signals during keyring updates (Closes: #293556)
  * avoid libusb on hurd.  Thanks, Pino Toscano! (Closes: #834533)
  * permissions on test suite are already fixed
  * drop patches applied upstream and refresh remaining patches
  * make gnupg2 reproducible by not regenerating documentation date
  * make autopkgtest work with modern wine (Closes: #835976)
  * wrap-and-sort -ast for cleaner diffs
  * add versioned Breaks: for affected packages (Closes: #835349)
   - gpgv Breaks: python-debian << 0.1.29 (addresses: #782904)
   - gnupg Breaks: php-crypt-gpg <= 1.4.1-1 (addresses #835592)
   - gnupg Breaks: python-apt <= 1.1.0~beta4 (addresses: #835465)
   - gnupg Breaks: python-gnupg << 0.3.8-3 (addresses: #834514, #834600)
   - gnupg Breaks: libgnupg-interface-perl << 0.52-3 (addresses: #834281)
   - gnupg Breaks: libmail-gnupg-perl <= 0.22-1 (addresses: #835075)
   - gnupg Breaks: libgnupg-perl << 0.19-1 (addresses: #834522)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Aug 2016 13:19:23 -0400

gnupg2 (2.1.14-5) unstable; urgency=medium

  * actually ship /usr/share/doc/gnupg/README.Debian
  * Release to unstable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Aug 2016 16:27:22 -0400

gnupg2 (2.1.14-4) experimental; urgency=medium

  * add ZeitControl card (Closes: #814584)
  * three more fixes from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Aug 2016 12:54:21 -0400

gnupg2 (2.1.14-3) experimental; urgency=medium

  * cleanup debian/copyright
  * update debian/watch

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 03 Aug 2016 11:09:05 -0400

gnupg2 (2.1.14-2) experimental; urgency=medium

  * mark the gpgv binary as Priority: important, since apt depends on it
  * import a bunch of fixes from upstream
  * include permissioning on patched-in tests
  * Breaks: some packages that expect old gpg behavior (Closes: #831500)
  * remove scdaemon.service; it will be managed by gpg-agent.service
  * avoid bulleted items in debian/NEWS (thanks, Lintian!)
  * debian/copyright: cleanup, fix URLs
  * debian/control: use standard URL for Vcs-Browser
  * fix spelling and grammar noticed by lintian
  * avoid lintian notes about a misspelled "written"
  * clean up gpgv2 Description
  * break out arch-indep localization files into new gnupg-l10n package

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 01 Aug 2016 17:54:59 -0400

gnupg2 (2.1.14-1) experimental; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Jul 2016 01:39:25 +0200

gnupg2 (2.1.13-5) experimental; urgency=medium

  * dependency cleanup!
   - make Recommends: strictly versioned between gnupg and {gpg-agent,dirmngr}

