## gnupg2 2.1.18

=== debian/changelog ===
gnupg2 (2.1.18-8~deb9u4) stretch; urgency=medium

  * Avoid crash when importing without a TTY (Closes: #913614)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Feb 2019 15:57:27 -0500

gnupg2 (2.1.18-8~deb9u3) stretch; urgency=medium

  * block trivial access to scdaemon memory (Closes: #878952)
  * Update crypto defaults for 2018 (new keys are RSA 3072, prefer AES256)
  * d/control: move Vcs*: to salsa
  * dirmngr: implement querying nameservers over IPv6 (Closes: #862682)
  * use DEP-14 branch naming
  * refresh patches
  * backport --no-symkey-cache
  * backport improved import and export filtering
  * backport display of revocation certificates
  * backport stripping unusable subkey material during export-minimal
  * backport fix to make --dry-run work when listing secret keys
  * backport fix showing secret keys when listing keys
  * backport fix to clean keys before importing (Closes: #906545)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Oct 2018 15:43:38 -0500

gnupg2 (2.1.18-8~deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * gpg: Sanitize diagnostic with the original file name (CVE-2018-12020)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Jun 2018 20:12:24 +0200

gnupg2 (2.1.18-8~deb9u1) stretch; urgency=medium

  * Bugfix update for debian stretch point release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 18 Sep 2017 16:41:12 -0400

gnupg2 (2.1.18-8) unstable; urgency=medium

  * updated scdaemon fix from gniibe (Closes: #862032)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 May 2017 19:20:45 -0400

gnupg2 (2.1.18-7) unstable; urgency=medium

  * scdaemon fixes from gniibe
  * more upstream fixes (Closes: #854359, #854829)
  * skip over missing signing keys (Closes: #834922)
  * drop all skel files (Closes: #858082)
  * Avoid spurious warnings when sharing a keybox with gpg >= 2.1.20

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 May 2017 23:06:48 -0400

gnupg2 (2.1.18-6) unstable; urgency=medium

  [ NIIBE Yutaka ]
  * scdaemon: Fix duplicated entries (Closes: #855056).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 13 Feb 2017 19:29:34 -0500

gnupg2 (2.1.18-5) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Xsession.d/90gpg-agent: use simpler and more direct gpgconf
    invocations for socket names.

  [ NIIBE Yutaka ]
  * scdaemon.udev: Add Yubikey and Nitrokey (Closes: #648331, 734889).
  * scdaemon fix for PC/SC (Closes: #852702, #854005, #854595, #854616).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 13 Feb 2017 09:15:07 -0500

gnupg2 (2.1.18-4) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * document that debian disables --allow-version-check
  * docs, debugging, and bugfix patches from upstream (Closes: #852979)

  [ NIIBE Yutaka ]
  * scdaemon bugfixes

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 04 Feb 2017 22:03:26 -0500

gnupg2 (2.1.18-3) unstable; urgency=medium

  * fix searches for keys with raw addr-spec

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 Jan 2017 16:58:56 -0500

gnupg2 (2.1.18-2) unstable; urgency=medium

  * pull fixes from upstream (including a double-free in gpg-agent)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 Jan 2017 09:29:25 -0500

gnupg2 (2.1.18-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 23 Jan 2017 23:12:35 -0500

gnupg2 (2.1.17-6) unstable; urgency=medium

  * Upstream patches, fixing unnecessary delay in gpg-agent (Closes: #851298)
  * gpg-agent: avoid race in shutdown (Closes: #841143)
  * improve dirmngr, gpg-agent README.Debian (Closes: #850982)
  * clean up gpg-agent-idling patch

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 18 Jan 2017 14:40:41 -0500

gnupg2 (2.1.17-5) unstable; urgency=medium

  * more fixes from upstream (improving but not yet closing: #849845)
  * gpg-agent: actively poll when shutdown is pending.  Thanks, NIIBE
    Yutaka! (addresses but does not close #841143)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 11 Jan 2017 15:44:57 -0500

gnupg2 (2.1.17-4) unstable; urgency=medium

  * more patches from upstream, including dirmngr debugging
    improvements
  * resolve ambiguity in aliased options and commands (Closes: #850475)
  * auto-enable gpg-agent and dirmngr for systemd user sessions
  * enable easy reloads from systemd

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 10 Jan 2017 17:30:08 -0500

gnupg2 (2.1.17-3) unstable; urgency=medium

  * more bugfixes from upstream (improving but not yet closing: #849845)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Jan 2017 15:39:52 -0500

gnupg2 (2.1.17-2) unstable; urgency=medium

  * include patches from upstream to avoid build failures on 32-bit
    arches.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 24 Dec 2016 18:11:51 -0500

gnupg2 (2.1.17-1) unstable; urgency=medium

  * new upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 24 Dec 2016 15:39:04 -0500

gnupg2 (2.1.16-3) unstable; urgency=medium

  * remove -pie from hppa, kfreebsd-amd64, and x32 builds of
    gpgv-static (Closes: #846889)
  * import several upstream bugfix patches (Closes: #846834, #846168)
  * link gnupg-agent and scdaemon with Enhances/Suggests (Closes: #833518)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 05 Dec 2016 15:34:49 -0500

gnupg2 (2.1.16-2) unstable; urgency=medium

  * avoid using adns, due to lack of security support (Closes: #845078)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 21 Nov 2016 09:57:26 -0500

gnupg2 (2.1.16-1) unstable; urgency=medium

  * New upstream version
  * dropped many patches already incorporated upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 20 Nov 2016 23:22:49 -0500

gnupg2 (2.1.15-9) unstable; urgency=medium

  * Introduce gpgv-static package (Closes: #806940)
  * more patches from upstream

