=== debian/control ===
Source: gnupg2
Section: utils
Priority: optional
Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Uploaders:
 Eric Dorland <eric@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Standards-Version: 3.9.8
Build-Depends:
 automake,
 autopoint,
 debhelper (>= 9),
 dh-autoreconf,
 file,
 gettext,
 ghostscript,
 imagemagick,
 libassuan-dev (>= 2.4.3),
 libbz2-dev,
 libcurl4-gnutls-dev,
 libgcrypt20-dev (>= 1.7.0),
 libgnutls28-dev (>= 3.0),
 libgpg-error-dev (>= 1.26-2~),
 libksba-dev (>= 1.3.4),
 libldap2-dev,
 libnpth0-dev (>= 1.2),
 libreadline-dev,
 librsvg2-bin,
 libsqlite3-dev,
 libusb-1.0-0-dev [!hurd-any],
 pkg-config,
 texinfo,
 transfig,
 zlib1g-dev | libz-dev,
Build-Depends-Indep:
 binutils-multiarch [!amd64 !i386],
 libassuan-mingw-w64-dev,
 libgcrypt-mingw-w64-dev,
 libgpg-error-mingw-w64-dev,
 libksba-mingw-w64-dev,
 libnpth-mingw-w64-dev,
 libz-mingw-w64-dev,
 mingw-w64,
Vcs-Git: https://salsa.debian.org/debian/gnupg2.git -b debian/stretch
Vcs-Browser: https://salsa.debian.org/debian/gnupg2
Homepage: https://www.gnupg.org/

Package: gnupg-agent
Architecture: any
Multi-Arch: foreign
Depends:
 pinentry-curses | pinentry,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnupg (= ${binary:Version}) | gpgsm,
Suggests:
 dbus-user-session,
 libpam-systemd,
 pinentry-gnome3,
 scdaemon,
Provides:
 gpg-agent,
Description: GNU privacy guard - cryptographic agent
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 This package contains the agent program gpg-agent which handles all
 secret key material for OpenPGP and S/MIME use.  The agent also
 provides a passphrase cache, which is used by pre-2.1 versions of
 GnuPG for OpenPGP operations.

Package: scdaemon
Architecture: any
Multi-Arch: foreign
Depends:
 gnupg-agent (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 gnupg-agent,
Description: GNU privacy guard - smart card support
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 This package contains the smart card program scdaemon, which is used
 by gnupg-agent to access OpenPGP smart cards.

Package: gpgsm
Architecture: any
Multi-Arch: foreign
Depends:
 gnupg-agent (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dirmngr (= ${binary:Version}),
Breaks:
 gnupg2 (<< 2.1.10-2),
Replaces:
 gnupg2 (<< 2.1.10-2),
Description: GNU privacy guard - S/MIME version
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 This package contains the gpgsm program. gpgsm is a tool to provide
 digital encryption and signing services on X.509 certificates and the
 CMS protocol. gpgsm includes complete certificate management.

Package: gnupg
Architecture: any
Multi-Arch: foreign
Depends:
 gnupg-agent (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dirmngr (= ${binary:Version}),
 gnupg-l10n (= ${source:Version}),
 ${shlibs:Recommends},
Suggests:
 parcimonie,
 xloadimage,
Breaks:
 debsig-verify (<< 0.15),
 dirmngr (<< ${binary:Version}),
 gnupg2 (<< 2.1.11-7+exp1),
 libgnupg-interface-perl (<< 0.52-3),
 libgnupg-perl (<= 0.19-1),
 libmail-gnupg-perl (<= 0.22-1),
 monkeysphere (<< 0.38~),
 php-crypt-gpg (<= 1.4.1-1),
 python-apt (<= 1.1.0~beta4),
 python-gnupg (<< 0.3.8-3),
 python3-apt (<= 1.1.0~beta4),
Replaces:
 gnupg2 (<< 2.1.11-7+exp1),
Provides:
 gpg,
Description: GNU privacy guard - a free PGP replacement
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 This package contains /usr/bin/gpg and some helper utilities like
 gpgconf and kbxutil.

Package: gnupg2
Architecture: all
Section: oldlibs
Priority: extra
Multi-Arch: foreign
Depends:
 gnupg (>= ${source:Version}),
 ${misc:Depends},
Description: GNU privacy guard - a free PGP replacement (dummy transitional package)
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 This is a dummy transitional package that provides symlinks from gpg2
 to gpg.

Package: gpgv
Architecture: any
Priority: important
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 gnupg2 (<< 2.0.21-2),
 gpgv2 (<< 2.1.11-7+exp1),
 python-debian (<< 0.1.29),
Replaces:
 gnupg2 (<< 2.0.21-2),
 gpgv2 (<< 2.1.11-7+exp1),
Suggests:
 gnupg,
Description: GNU privacy guard - signature verification tool
 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv is actually a stripped-down version of gpg which is only able
 to check signatures. It is somewhat smaller than the fully-blown gpg
 and uses a different (and simpler) way to check that the public keys
 used to make the signature are valid. There are no configuration
 files and only a few options are implemented.

Package: gpgv2
Section: oldlibs
Priority: extra
Architecture: all
Multi-Arch: foreign
Depends:
 gpgv (>= ${source:Version}),
 ${misc:Depends},
Description: GNU privacy guard - signature verification tool (dummy transitional package)
 GnuPG is GNU's tool for secure communication and data storage.  gpgv
 is a stripped-down version of gpg which is only able to check
 signatures.
 .
 This is a dummy transitional package that provides symlinks from gpgv2
 to gpgv.

Package: dirmngr
Architecture: any
Depends:
 adduser,
 lsb-base (>= 3.2-13),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnupg (= ${binary:Version}),
 ${shlibs:Recommends},
Enhances:
 gnupg,
 gpgsm,
 squid,
Breaks:
 gnupg2 (<< 2.1.10-2),
Replaces:
 gnupg2 (<< 2.1.10-2),
Suggests:
 dbus-user-session,
 libpam-systemd,
 pinentry-gnome3,
 tor,
Description: GNU privacy guard - network certificate management service
 dirmngr is a server for managing and downloading OpenPGP and X.509
 certificates, as well as updates and status signals related to those
 certificates.  For OpenPGP, this means pulling from the public
 HKP/HKPS keyservers, or from LDAP servers.  For X.509 this includes
 Certificate Revocation Lists (CRLs) and Online Certificate Status
 Protocol updates (OCSP).  It is capable of using tor for network
 access.
 .
 dirmngr is used for network access by gpg, gpgsm, and dirmngr-client,
 among other tools.

Package: gpgv-udeb
Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: minimal signature verification tool
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 This is GnuPG's signature verification tool, gpgv, packaged in minimal
 form for use in debian-installer.

Package: gpgv-static
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 debian-archive-keyring,
 debootstrap,
Description: minimal signature verification tool (static build)
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 This is GnuPG's signature verification tool, gpgv, built statically
 so that it can be directly used on any platform that is running on
 the Linux kernel.  Android and ChromeOS are two well known examples,
 but there are many other platforms that this will work for, like
 embedded Linux OSes.  This gpgv in combination with debootstrap and
 the Debian archive keyring allows the secure creation of chroot
 installs on these platforms by using the full Debian signature
 verification that is present in all official Debian mirrors.

Package: gpgv-win32
Architecture: all
Priority: extra
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 wine,
Description: GNU privacy guard - signature verification tool (win32 build)
 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv is a stripped-down version of gnupg which is only able to check
 signatures.  It is smaller than the full-blown gnupg and uses a
 different (and simpler) way to check that the public keys used to
 make the signature are trustworthy.
 .
 This is a win32 version of gpgv.  It's meant to be used by the win32-loader
 component of Debian-Installer.

Package: gnupg-l10n
Architecture: all
Priority: extra
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Enhances:
 gnupg,
Breaks:
 gnupg (<< 2.1.14-2~),
 gnupg2 (<< 2.1.14-2~),
Replaces:
 gnupg (<< 2.1.14-2~),
 gnupg2 (<< 2.1.14-2~),
Description: GNU privacy guard - localization files
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 This package contains the translation files for the use of GnuPG in
 non-English locales.
